Skip to content

API reference

Grimoire exposes a REST API. Interactive documentation is available at /docs (Swagger UI) and /redoc (ReDoc) when the application is running.

Repositories

Method Path Description
GET /api/repos List all tracked repos with latest stats
GET /api/repos/{owner}/{name} Detailed stats for one repo
POST /api/refresh Trigger an immediate data refresh

Checks

Method Path Description
GET /api/checks List all check definitions + enabled state
GET /api/checks/{slug}/results Latest results for a check
GET /api/checks/{slug}/runs Run history (reverse chronological)
POST /api/checks/{slug}/run Trigger check; optional ?repo=owner/name
POST /api/checks/{slug}/toggle Toggle check enabled state

Actions

Method Path Description
GET /api/actions List all action definitions
GET /api/actions/{slug}/runs Run history (reverse chronological)
GET /api/actions/{slug}/runs/{id} Specific run details + logs
POST /api/actions/{slug}/run Trigger action; optional ?repo=owner/name; 409 if running

Health

Method Path Description
GET /health Health check (Docker HEALTHCHECK / k8s probes)

OpenAPI

Auto-generated OpenAPI schema is available at:

  • /docs — Swagger UI (interactive)
  • /redoc — ReDoc (readable)
  • /openapi.json — Raw OpenAPI JSON schema